### Name: distribMode
### Title: Computing the Mode of Some Distributions
### Aliases: distribMode betaMode cauchyMode chisqMode expMode fMode
###   gammaMode normMode frechetMode gevMode ghMode gpdMode gumbelMode
###   hypMode logisMode lnormMode nigMode stableMode symstbMode
###   rweibullMode tMode unifMode weibullMode bernMode binomMode geomMode
###   hyperMode nbinomMode poisMode
### Keywords: univar distribution

### ** Examples

layout(mat = matrix(1:2,1,2))

## Beta distribution
curve(dbeta(x, shape1 = 2, shape2 = 3.1), xlim = c(0,1), ylab = "Beta density")
M <- betaMode(shape1 = 2, shape2 = 3.1)
abline(v = M, col = 2)
mlv("beta", shape1 = 2, shape2 = 3.1)
 
## Lognormal distribution          
curve(dlnorm(x, meanlog = 3, sdlog = 1.1), xlim = c(0, 10), ylab = "Lognormal density")
M <- lnormMode(meanlog = 3, sdlog = 1.1)
abline(v = M, col = 2)
mlv("lnorm", meanlog = 3, sdlog = 1.1) 

## Poisson distribution
poisMode(lambda = 6)
poisMode(lambda = 6.1)
mlv("poisson", lambda = 6.1)

layout(mat = matrix(1,1,1)) 



