### Name: grenander
### Title: Grenander Mode Estimator
### Aliases: grenander Grenander
### Keywords: univar nonparametric

### ** Examples

# Unimodal distribution
x <- rnorm(1000, mean = 23, sd = 0.5)
## True mode
normMode(mean = 23, sd = 0.5) # (!)
## Parameter 'k'
k <- 5
## Many values of parameter 'p'
p <- seq(0.1, 4, 0.01)
## Estimate of the mode with these parameters
M <- sapply(p, function(pp) grenander(x, p = pp, k = k))
## Distribution obtained
plot(density(M), xlim = c(22.5, 23.5))



